import 'dart:convert';

FetchGeocoder fetchGeocoderFromJson(String str) =>
    FetchGeocoder.fromJson(json.decode(str));

String fetchGeocoderToJson(FetchGeocoder data) => json.encode(data.toJson());

class FetchGeocoder {
  FetchGeocoder({
    required this.results,
    required this.status,
  });

  List<Result> results;
  String status;

  factory FetchGeocoder.fromJson(Map<String, dynamic> json) => FetchGeocoder(
        results:
            List<Result>.from(json["results"].map((x) => Result.fromJson(x))),
        status: json["status"],
      );

  Map<String, dynamic> toJson() => {
        "results": List<dynamic>.from(results.map((x) => x.toJson())),
        "status": status,
      };
}

class Result {
  Result({
    required this.formattedAddress,
    required this.placeId,
  });

  String formattedAddress;
  String placeId;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
        formattedAddress: json["formatted_address"],
        placeId: json["place_id"],
      );

  Map<String, dynamic> toJson() => {
        "formatted_address": formattedAddress,
        "place_id": placeId,
      };
}

class AddressComponent {
  AddressComponent({
    required this.longName,
    required this.shortName,
  });

  String longName;
  String shortName;

  factory AddressComponent.fromJson(Map<String, dynamic> json) =>
      AddressComponent(
        longName: json["long_name"],
        shortName: json["short_name"],
      );

  Map<String, dynamic> toJson() => {
        "long_name": longName,
        "short_name": shortName,
      };
}
